package com.gic.haoban.manage.service.dao.mapper;

import com.gic.haoban.manage.service.entity.TabHaobanStaffClerkBindLog;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import retrofit2.http.PATCH;

import java.util.List;

@Mapper
public interface StaffClerkBindLogMapper {
    /**
     */
    int deleteByPrimaryKey(Integer logId);

    /**
     */
    int insert(TabHaobanStaffClerkBindLog record);

    /**
     */
    int insertSelective(TabHaobanStaffClerkBindLog record);

    /**
     */
    TabHaobanStaffClerkBindLog selectByPrimaryKey(Integer logId);

    /**
     */
    int updateByPrimaryKeySelective(TabHaobanStaffClerkBindLog record);

    /**
     */
    int updateByPrimaryKey(TabHaobanStaffClerkBindLog record);

    /**
     * 列表
     * @param clerkIds
     * @param staffIds
     * @param enterpriseIds
     * @param optType
     * @return
     */
    public List<TabHaobanStaffClerkBindLog> listStaffClerkBindLog(@Param("wxEnterpriseId") String wxEnterpriseId, @Param("clerkIds") List<String> clerkIds
            , @Param("staffIds") List<String> staffIds, @Param("enterpriseIds") List<String> enterpriseIds, @Param("optType") int optType,@Param("search") String search);
}