package com.gic.haoban.manage.service.service;

import com.gic.haoban.manage.service.entity.TabMiniprogramSetting;

import java.util.List;

/**
 * Created 2021/4/16.
 *
 * @author hua
 */
public interface MiniprogramSettingService {

    /**
     * 保存素材
     *
     * @param miniprogramSetting
     */
    public void saveMiniprogramSetting(TabMiniprogramSetting miniprogramSetting);

    /**
     * 小程序列表
     *
     * @param wxEnterpriseId
     * @return
     */
    public List<TabMiniprogramSetting> listMiniprogram(String wxEnterpriseId);

    /**
     * 获取单个配置信息
     *
     * @param wxEnterpriseId
     * @param enterpriseId
     * @return
     */
    public TabMiniprogramSetting getMiniprogramSetting(String wxEnterpriseId, String enterpriseId);

    /**
     * 获取单个配置信息 无需操作企业微信media
     *
     * @param wxEnterpriseId
     * @param enterpriseId
     * @return
     */
    public TabMiniprogramSetting getMiniprogramSettingNoMedia(String wxEnterpriseId, String enterpriseId);

    /**
     * 删除
     *
     * @param id
     * @return
     */
    public boolean delMiniprogramSetting(String id);


}
