package com.gic.haoban.manage.api.service;

import com.gic.haoban.manage.api.dto.GicMessageDTO;
import com.gic.haoban.manage.api.dto.QywxCallBackDTO;

/**
 * Created by tgs on 2020/2/20.
 */
public interface MessageApiService {
    /**接收企业微信的推送消息*/
    void gicMessageReceive(GicMessageDTO gicMessageDTO);

    /**接收企业微信的推送消息*/
    void wxMessageReceive(QywxCallBackDTO qywxCallBackDTO);

    /**
     * 队列消费gic推送数据
     * @param param
     */
    void dealGicMessage(String param);

    /**
     * 队列消费企业微信推送数据
     * @param param
     */
    void dealWxMessage(String param);
    /**
     * 发送消费消息
     * @param clerkId
     * @param memberId
     * @param memberName
     * @param arrivalTime
     * @param storeId
     * @return
     */
	Boolean sendFaceMessage(String clerkId,String memberId, String memberName, String arrivalTime,String storeId);
	/**
	 * 发送完善标签信息
	 * @param clerkId
	 * @param clerkId
	 * @param memberName
	 * @param customerTime
	 * @param orderId
	 * @param storeId
	 */
	Boolean sendPerfectRemarkMessage(String clerkId, String memberId,String memberName, String customerTime, String orderId,String storeId);
}
