package com.gic.haoban.manage.service.dao.mapper;

import java.util.Date;
import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.gic.haoban.manage.api.dto.MemberUnionidRelatedDTO;
import com.gic.haoban.manage.service.entity.MemberUnionidRelated;
import com.github.pagehelper.Page;

public interface MemberUnionidRelatedMapper {
    int deleteByPrimaryKey(String memberUnionidRelatedId);

    int insert(MemberUnionidRelated record);

    int insertSelective(MemberUnionidRelated record);

    MemberUnionidRelated selectByPrimaryKey(String memberUnionidRelatedId);

    int updateByPrimaryKeySelective(MemberUnionidRelated record);

    int updateByPrimaryKey(MemberUnionidRelated record);

    int cleanByCid(@Param("cid") String cid);

	MemberUnionidRelated getByUnionId(@Param("wxEnterpriseId") String wxEnterpriseId, @Param("wxUserId") String wxUserId, @Param("unionid") String unionid);

    MemberUnionidRelated getByMemberId(@Param("wxUserId")String wxUserId, @Param("memberId")String memberId);

	void deleteByUnionidAndUserId(@Param("externalUserid")String externalUserid,@Param("wxUserId") String wxUserId);

    void delMemberUnionidRelatedBatch(@Param("wxEnterpriseId") String wxEnterpriseId, @Param("externalUserids") List<String> externalUserid, @Param("wxUserId") String wxUserId);

	List<MemberUnionidRelated> getByWxUserIdAndWxEnterpriseId(@Param("wxUserId")String wxUserId, @Param("wxEnterpriseId")String wxEnterpriseId);
	
	List<MemberUnionidRelated> listByEnterpriseIdAndDate(@Param("enterpriseId")String enterpriseId,@Param("date")Date date);
	
	MemberUnionidRelated getByParams(@Param("wxUserId")String wxUserId, @Param("wxEnterpriseId")String wxEnterpriseId, 
			@Param("externalName")String name, @Param("addCreateTime")String createTime);

	List<MemberUnionidRelated> listByExTernalUseridAndWxUserId(@Param("externalUserid")String externalUserid, @Param("wxUserId")String wxUserId);

	Page<MemberUnionidRelated> pageMemberUnionByParams(@Param("userIdList")List<String> userIdList, @Param("sendMemberIds")List<String> sendMemberIds,
			@Param("enterpriseId")String enterpriseId);

	List<MemberUnionidRelated> getByWxUserIdListAndWxEnterpriseId(@Param("userIdList")List<String> userIdList, @Param("wxEnterpriseId")String wxEnterpriseId);

	void cleanStaffRelated(@Param("wxEnterpriseId")String wxEnterpriseId, @Param("staffIds")List<String> staffIds);

	/**
	 * 根据应用内的外部联系人获取信息
	 *
	 * @param wxUserId
	 * @param wxEnterpriseId
	 * @param selfExternalUserId
	 * @return
	 */
	MemberUnionidRelated getBySelfExternalUserId(@Param("wxUserId") String wxUserId, @Param("wxEnterpriseId") String wxEnterpriseId, @Param("selfExternalUserId") String selfExternalUserId);

	List<MemberUnionidRelated> listBySelfExternalUserId(@Param("wxUserId") String wxUserId, @Param("wxEnterpriseId") String wxEnterpriseId, @Param("selfExternalUserId") String selfExternalUserId);
}