package com.gic.haoban.manage.service.dao.mapper;

import java.util.List;
import java.util.Set;

import org.apache.ibatis.annotations.Param;

import com.gic.haoban.manage.service.entity.TabHaobanStaff;
import com.github.pagehelper.Page;

public interface StaffMapper {
    int deleteByPrimaryKey(String staffId);

    int insert(TabHaobanStaff record);

    int insertSelective(TabHaobanStaff record);

    TabHaobanStaff selectByPrimaryKey(String staffId);

    int updateByPrimaryKeySelective(TabHaobanStaff record);

    int updateByPrimaryKey(TabHaobanStaff record);

	TabHaobanStaff selectByNationcodeAndPhoneNumber(@Param("wxEnterpriseId")String wxEnterpriseId, @Param("nationCode")String nationcode, @Param("phoneNumber")String phoneNumber);
	
	List<TabHaobanStaff> listByIds(@Param("staffIds")List<String> staffIds);
	
	List<TabHaobanStaff> listByWxUserId(@Param("wxUserId")String wxUserId);
	
	List<TabHaobanStaff> listLikeName(@Param("staffName")String staffName);

	Page<TabHaobanStaff> pageStaff(@Param("staffIds")Set<String> staffIds, @Param("activeFlag")Integer activeFlag, @Param("keyword")String keyword);

	TabHaobanStaff selectByUserIdAndEnterpriseId(@Param("userId")String userId,@Param("wxEnterpriseId")String wxEnterpriseId);
	
	TabHaobanStaff selectSuperByWxEnterpriseId(@Param("wxEnterpriseId")String wxEnterpriseId);

	List<TabHaobanStaff> listByPhoneNumber(@Param("phoneNumber")String phoneNumber);

	List<TabHaobanStaff> listByUserIdsAndWxEnterpriseId(@Param("userIds")List<String> userIds, @Param("wxEnterpriseId")String wxEnterpriseId);

	public  int cleanStaff(@Param("wxEnterpriseId")String wxEnterpriseId,@Param("staffIds")List<String> staffIds);

	TabHaobanStaff getWxStaffByOne(@Param("wxEnterpriseId")String wxEnterpriseId);

	public List<String> listUserStaffId(@Param("wxEnterpriseId") String wxEnterpriseId, @Param("staffIds") List<String> staffIds);

    public List<TabHaobanStaff> listNoStatusStaffIds(@Param("wxEnterpriseId") String wxEnterpriseId, @Param("staffIds") List<String> staffIds);

    public TabHaobanStaff getNoStatusByWxUserIds(@Param("wxEnterpriseId") String wxEnterpriseId, @Param("wxUserId") String wxUserId);


}