package com.gic.haoban.manage.service.dao.mapper;

import java.util.List;
import java.util.Set;

import com.gic.haoban.base.api.common.BasePageInfo;
import com.gic.haoban.manage.service.entity.TabHaobanWxEnterprise;
import com.github.pagehelper.Page;

import org.apache.ibatis.annotations.Param;

public interface WxEnterpriseMapper {
    int deleteByPrimaryKey(String wxEnterpriseId);

    int insert(TabHaobanWxEnterprise record);

    int insertSelective(TabHaobanWxEnterprise record);

    TabHaobanWxEnterprise selectByPrimaryKey(String wxEnterpriseId);

    int updateByPrimaryKeySelective(TabHaobanWxEnterprise record);

    int updateByPrimaryKey(TabHaobanWxEnterprise record);
    
    Page<TabHaobanWxEnterprise> list(@Param("keyword") String keyword,@Param("enterpriseIds") List<String> enterpriseIds,@Param("gicContactFlag") Integer gicContactFlag,@Param("version") String version);

    List<TabHaobanWxEnterprise> listBycorpId(@Param("corpId") String corpId);

    List<TabHaobanWxEnterprise> listDelBycorpId(@Param("corpId") String corpId);

	List<TabHaobanWxEnterprise> listAll();

    List<TabHaobanWxEnterprise> listByIds(@Param("enterpriseIds") Set<String> wxEnterpriseIds);

	List<TabHaobanWxEnterprise> getEnterpriseBycorpIdNoStatus(@Param("corpId")String corpId);
}